Package: org.codehaus.groovy.grails.cli.fork

## [Groovy] Class ForkedGrailsProcessConfig

- org.codehaus.groovy.grails.cli.fork.ForkedGrailsProcessConfig

- Configuration for a forked process

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `debug`
    `boolean` | `forked`
    `java.lang.Integer` | `maxMemory`
    `java.lang.Integer` | `maxPerm`
    `java.lang.Integer` | `minMemory`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForkedGrailsProcessConfig (java.lang.Object config)`
    `ForkedGrailsProcessConfig ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.Map` | `asMap()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### boolean debug

    - #### boolean forked

    - #### java.lang.Integer maxMemory

    - #### java.lang.Integer maxPerm

    - #### java.lang.Integer minMemory

  - ### Constructor Detail

    - #### ForkedGrailsProcessConfig(java.lang.Object config)

    - #### ForkedGrailsProcessConfig()

  - ### Method Detail

    - #### java.util.Map asMap()